function trimStr(A) {
    return A.replace(/^\s+|\s+$/g, "");
}

function setCookie(C, E) {
    var A = setCookie.arguments, F = setCookie.arguments.length, B = F > 2 ? A[2] : null;
    if (B != null) {
        var D = new Date;
        D.setTime(D.getTime() + B * 1e3 * 3600 * 24);
    }
    document.cookie = C + "=" + escape(E) + (B == null ? "" : "; expires=" + D.toGMTString());
}

function setCookieExpire(C, E) {
    var A = setCookieExpire.arguments, F = setCookieExpire.arguments.length, B = F > 2 ? A[2] : null;
    if (B != null) var D = B;
    document.cookie = C + "=" + escape(E) + (B == null ? "" : "; expires=" + D.toGMTString());
}

function deleteCookie(A) {
    var B = new Date;
    B.setTime(0), setCookie(A, "", B);
}

function getCookie(A) {
    var B = A + "=";
    if (document.cookie.length > 0) return offset = document.cookie.indexOf(B), offset != -1 ? (offset += B.length, end = document.cookie.indexOf(";", offset), end == -1 && (end = document.cookie.length), unescape(document.cookie.substring(offset, end))) : "";
}

function playcue(A, B, C) {
    var D = "#" + A;
    $(D).blur(function() {
        $(D).val() == "" && ($(D).val(B), $(D).css(C));
    }), $(D).focus(function() {
        $(D).val() == B && $(D).val(""), $(D).css({
            "color": "black"
        });
    });
}

function focusTail(D) {
    var B = document.getElementById(D);
    if (null == B) return;
    try {
        var A = B.createTextRange();
        A.moveStart("character", B.value.length), A.collapse(!0), A.select();
    } catch (C) {
        B.focus();
    }
}

function asyLoadScript(A) {
    var B = document.createElement("script");
    B.type = "text/javascript", B.src = A + "?v=2.3", document.getElementsByTagName("head").item(0).appendChild(B);
}

function pgvInit() {
    
}

function __addHotListener(A, B) {
    
}

function addHotListener(A, B) {
    
}

function sendHotClick(A) {
   
}

function checkTxDomainInit() {
}

function AQcheckNonTxDomain() {
    try {
        checkNonTxDomain(.1, 2);
    } catch (A) {}
}

function aqrjsUpload() {
    try {
        aqrjsCheckAllHtml(.01, .001, 2);
    } catch (A) {}
}

function getCaptchaImageURL(E, F, D, C, B) {
    
}

function changeCaptchaImage(A, F, C, D, B) {
    $('#' + A).attr('src', '/api/vcode.ashx?k=' + Math.random());
}

function getUrlParam(C) {
    var B = location.href, D = B.substring(B.indexOf("?") + 1, B.length).split("&"), A = {};
    for (i = 0; j = D[i]; i++) A[j.substring(0, j.indexOf("=")).toLowerCase()] = j.substring(j.indexOf("=") + 1, j.length);
    var E = A[C.toLowerCase()];
    return typeof E == "undefined" ? "" : E;
}

Function.prototype.inherit = function(A) {
    for (var B in A.prototype) this.prototype[B] = A.prototype[B];
};

var agIsHttp = !1, agPGVInit = !1, agHotItemsCache = new Array;

